Bug 590788 - Some minor issues in selinux user guide
Summary: Some minor issues in selinux user guide
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: selinux-user-guide   
(Show other bugs)
Version: devel
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Scott Radvan
QA Contact: Murray McAllister
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 17:45 UTC by Dominick Grift
Modified: 2015-04-07 03:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 04:34:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dominick Grift 2010-05-10 17:45:49 UTC
I noticed that there appears to be some incorrect information in the Security-Enhanced Linux User guide located at: http://docs.fedoraproject.org/selinux-user-guide/f12/en-US/index.html

In section 5.1, it states that "semanage" is part of the policycoreutils package.   This should instead read the "policycoreutils-python".  Further, if a user installs in text mode with minimal packages, they will not get the policycoreutils-python package installed by default.  Please see the excerpts below.

Comment 1 Dominick Grift 2010-05-10 18:01:04 UTC
This issue also affects the selinux-user-guide for el6 ofcourse

Comment 2 Scott Radvan 2010-05-10 22:25:41 UTC
Have edited trunk for both Fedora 13 and EL6 in SVN to look like:

-- 
In Fedora, the SELinux packages are installed by default in a full installation, unless they are manually excluded during installation. If performing a minimal installation in text mode, the policycoreutils-python package will not be installed by default. Also, by default, SELinux targeted policy is used, and SELinux runs in enforcing mode. The following is a brief description of the main SELinux packages:

policycoreutils-python: provides utilities such as semanage, audit2allow, audit2why and chcat, for operating and managing SELinux.

policycoreutils: provides utilities such as restorecon, secon, setfiles, semodule, load_policy, and setsebool, for operating and managing SELinux. 
-- 

Looks OK?

Comment 3 Dominick Grift 2010-05-11 04:31:12 UTC
Looks fine to me. Thanks

Comment 4 Scott Radvan 2010-05-11 04:34:25 UTC
pushed to website for f13, changed in el6 source, closing

thanks for the report!


Note You need to log in before you can comment on or make changes to this bug.